The Synthesis ToolKit in C++ (STK)

Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

# stk::FileWrite Class Reference

STK audio file output class. More...

`#include <FileWrite.h>`

Inheritance diagram for stk::FileWrite:

List of all members.

## Public Member Functions
| FileWrite (void)
| Default constructor.
| FileWrite (std::string fileName, unsigned int nChannels=1, FILE_TYPE type=FILE_WAV, Stk::StkFormat format=STK_SINT16)
| Overloaded constructor used to specify a file name, type, and data format with this object.
virtual | ~FileWrite ()
| Class destructor.
void | open (std::string fileName, unsigned int nChannels=1, FileWrite::FILE_TYPE type=FILE_WAV, Stk::StkFormat format=STK_SINT16)
| Create a file of the specified type and name and output samples to it in the given data format.
void | close (void)
| If a file is open, write out samples in the queue and then close it.
bool | isOpen (void)
| Returns true if a file is currently open.
void | write (StkFrames &buffer)
| Write sample frames from the StkFrames object to the file.
## Static Public Attributes
static const FILE_TYPE | FILE_RAW
static const FILE_TYPE | FILE_WAV
static const FILE_TYPE | FILE_SND
static const FILE_TYPE | FILE_AIF
static const FILE_TYPE | FILE_MAT

## Detailed Description

STK audio file output class.

This class provides output support for various audio file formats.

FileWrite writes samples to an audio file. It supports multi-channel data.

FileWrite currently supports uncompressed WAV, AIFF, AIFC, SND (AU), MAT-file (Matlab), and STK RAW file formats. Signed integer (8-, 16-, 24-, and 32-bit) and floating- point (32- and 64-bit) data types are supported. STK RAW files use 16-bit integers by definition. MAT-files will always be written as 64-bit floats. If a data type specification does not match the specified file type, the data type will automatically be modified. Compressed data types are not supported.

by Perry R. Cook and Gary P. Scavone, 1995-2012.

## Constructor & Destructor Documentation

stk::FileWrite::FileWrite | ( | std::string | fileName,
|  | unsigned int | nChannels = `1`,
|  | FILE_TYPE | type = `FILE_WAV`,
|  | Stk::StkFormat | format = `STK_SINT16` |
| ) |  |  |

Overloaded constructor used to specify a file name, type, and data format with this object.

An StkError is thrown for invalid argument values or if an error occurs when initializing the output file.

## Member Function Documentation

void stk::FileWrite::open | ( | std::string | fileName,
|  | unsigned int | nChannels = `1`,
|  | FileWrite::FILE_TYPE | type = `FILE_WAV`,
|  | Stk::StkFormat | format = `STK_SINT16` |
| ) |  |  |

Create a file of the specified type and name and output samples to it in the given data format.

An StkError is thrown for invalid argument values or if an error occurs when initializing the output file.

void stk::FileWrite::write | ( | StkFrames & | buffer | ) |

Write sample frames from the StkFrames object to the file.

An StkError will be thrown if the number of channels in the StkFrames argument does not agree with the number of channels specified when opening the file.

## Member Data Documentation

const FILE_TYPE stk::FileWrite::FILE_RAW`[static]`

STK RAW file type.

const FILE_TYPE stk::FileWrite::FILE_WAV`[static]`

WAV file type.

const FILE_TYPE stk::FileWrite::FILE_SND`[static]`

SND (AU) file type.

const FILE_TYPE stk::FileWrite::FILE_AIF`[static]`

AIFF file type.

const FILE_TYPE stk::FileWrite::FILE_MAT`[static]`

Matlab MAT-file type.

The documentation for this class was generated from the following file:

- FileWrite.h

The Synthesis ToolKit in C++ (STK)
©1995-2012 Perry R. Cook and Gary P. Scavone. All Rights Reserved.